from flask import Flask
from .fetch_api import fetch_api
from dotenv import load_dotenv
import os
from flask_cors import CORS
load_dotenv()

from webaiku.extension import WEBAIKU


app = Flask(__name__)
WEBAIKU(
    app, "webapps/bs-reconciliation", int(os.getenv("VITE_API_PORT"))
)
WEBAIKU.extend(app, [fetch_api])
CORS(app=app, resources={r"/bs_api/*": {"origins": "*"}})
if __name__ == "__main__":
    print(os.getenv("VITE_API_PORT"))
    app.run(host="127.0.0.1", port=int(os.getenv("VITE_API_PORT")), debug=True)
