import {
  Quasar,
  Notify,
  Loading,
  ClosePopup,
  QIcon,
  QMenu,
  QList,
  QItemSection,
  QItem,
  QCard,
  QCardSection,
  QItemLabel,
} from "quasar";
import "@quasar/extras/material-icons/material-icons.css";
import "@quasar/extras/material-icons-outlined/material-icons-outlined.css";
import "@quasar/extras/material-icons-round/material-icons-round.css";
import "@quasar/extras/mdi-v6/mdi-v6.css";
import "quasar/src/css/index.sass";
import "ag-grid-community/styles/ag-grid.css";
import "ag-grid-community/styles/ag-theme-alpine.css";
import "quasar-ui-bs/dist/style.css";
import "./fonts/fonts.scss";
import "vite/modulepreload-polyfill";
import { QuasarBs } from "quasar-ui-bs";
import { myApp } from "./src/index";
import { ServerApi } from "quasar-ui-bs";
import { baseURL } from "./src/api/index";
//import router from "./src/router";  // <-- Import your router here


ServerApi.init(baseURL);
myApp.config.unwrapInjectedRef = true;

myApp.use(Quasar, {
  plugins: {
    Notify,Loading
  },
  components: {
    QIcon,
    QMenu,
    QList,
    QItemSection,
    QItem,
    QCard,
    QCardSection,
    QItemLabel,
  },
  directives: {
    ClosePopup,
  },
});

myApp.use(QuasarBs);
//myApp.use(router);  // <-- Use the router in your Vue instance

myApp.mount("#app");